<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
	<form-bean
		name="leadForm"
		type="cn.com.xunuo.webapp.form.LeadForm"
    />
	<form-bean
		name="leadsortForm"
		type="cn.com.xunuo.webapp.form.LeadsortForm"
    />
	<form-bean
		name="leavemessageForm"
		type="cn.com.xunuo.webapp.form.LeavemessageForm"
    />
  </form-beans>

  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>     

    <action
      path="/sys/leadinfo/searchLeadInfoToData"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
	  name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/leadinfo/leadinfodata.jsp"
        redirect="false"
      />
    </action>

   <!-- Lead start -->
	<!--Lead Unconditional search -->
    <action
      path="/sys/lead/searchLeadsByParent"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/lead/leadindex.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/lead/searchLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/lead/leadindex.jsp"
        redirect="false"
      />
    </action>
	<!--Lead Search the function -->
    <action
      path="/sys/lead/findLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/lead/leadindex.jsp"
        redirect="false"
      />
    </action>

	<!--Lead Add the function -->
    <action
      path="/sys/lead/addLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/lead/leadedit.jsp"
        redirect="false"
      />
    </action>

	<!--Lead Edit the function -->
    <action
      path="/sys/lead/editLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/lead/leadedit.jsp"
        redirect="false"
      />
    </action>

	<!--Lead Delete the function -->
    <action
      path="/sys/lead/deleteLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/lead/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Lead Save the function -->
    <action
      path="/sys/lead/saveLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/lead/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Lead View the function -->
    <action
      path="/sys/lead/viewLead"
      type="cn.com.xunuo.webapp.action.LeadAction"
      name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/lead/leadview.jsp"
        redirect="false"
      />
    </action>


   <!-- Leadsort start -->
	<!--Leadsort Unconditional search -->
    <action
      path="/sys/leadsort/searchLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/leadsort/leadsortindex.jsp"
        redirect="false"
      />
    </action>
	<!--Leadsort Search the function -->
    <action
      path="/sys/leadsort/findLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/leadsortindex.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort Add the function -->
    <action
      path="/sys/leadsort/addLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/leadsort/leadsortedit.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort Edit the function -->
    <action
      path="/sys/leadsort/editLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/leadsortedit.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort Delete the function -->
    <action
      path="/sys/leadsort/deleteLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort Save the function -->
    <action
      path="/sys/leadsort/saveLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort View the function -->
    <action
      path="/sys/leadsort/viewLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/leadsortview.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort Upward movement  -->
    <action
      path="/sys/leadsort/upLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Leadsort To the mobile   -->
    <action
      path="/sys/leadsort/downLeadsort"
      type="cn.com.xunuo.webapp.action.LeadsortAction"
      name="leadsortForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leadsort/goto.jsp"
        redirect="false"
      />
    </action>


   <!-- Leavemessage start -->
	<!--Leavemessage Unconditional search -->
    <action
      path="/sys/leavemessage/searchLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/leavemessage/leavemessageindex.jsp"
        redirect="false"
      />
    </action>
	<!--Leavemessage Search the function -->
    <action
      path="/sys/leavemessage/findLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leavemessage/leavemessageindex.jsp"
        redirect="false"
      />
    </action>

	<!--Leavemessage Add the function -->
    <action
      path="/sys/leavemessage/addLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/leavemessage/leavemessageedit.jsp"
        redirect="false"
      />
    </action>

	<!--Leavemessage Edit the function -->
    <action
      path="/sys/leavemessage/editLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leavemessage/leavemessageedit.jsp"
        redirect="false"
      />
    </action>

	<!--Leavemessage Delete the function -->
    <action
      path="/sys/leavemessage/deleteLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leavemessage/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Leavemessage Save the function -->
    <action
      path="/sys/leavemessage/saveLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leavemessage/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Leavemessage View the function -->
    <action
      path="/sys/leavemessage/viewLeavemessage"
      type="cn.com.xunuo.webapp.action.LeavemessageAction"
      name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/leavemessage/leavemessageview.jsp"
        redirect="false"
      />
    </action>
   <!-- Leavemessage end   -->


    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>
